Subject: RE: Reconvergence micro-loops: Incremental Cost Advertisement

From: "Don Fedyk" <[email-masked]>
Date: Thu, 23 Sep 2004 08:15:49 -0400

Hi Alex

I'm on the same page as Mike with this. I like the simplicity but I don't
like the burden this puts on the originating router. 
 
To answer your question I have not done simulations but I think you should
only need to advertise a value that forces the farthest upstream router to
choose a path for destination that are affected by the downstream path. As
you approach a value that moves your nearest neighbor you can jump to the
real metric. I'm not sure what this would look like but I think it would be
a small number of advertisements. The answer is different in every topology.

Don 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Alex Zinin
> Sent: Wednesday, September 22, 2004 6:36 PM
> To: mike shand
> Cc: [email-masked]
> Subject: Re: Reconvergence micro-loops: Incremental Cost Advertisement
> 
> 
> Mike,
> 
> >>   a)Incremental Cost Advertisement: instead of removing 
> failed link 
> >> from the
> ...
> 
> > Yes. While I like the simplicity of this scheme, I don't think it is
> > feasible in real world networks (at least those using wide 
> metrics) because 
> > of the potentially large number of increments which may be required.
> 
> To make sure we have a complete picture here, have guys done 
> any analysis (based on the network topologies you have) of 
> the mix, max, and average number of increments required for 
> link failures. I.e., it is clear that counting up through all 
> possible link cost values is not necessary, and we only need 
> an increasing sequence of values so that routers that may 
> indeed form a loop converge in an orderly fashion. It should 
> be possible to calculate such sequence for each possible link 
> failure in a given topology. It would be interesting to know 
> these numbers.
> 
> Alex
> 
> 
> _______________________________________________
> Rtgwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rtgwg
> 
> 
_______________________________________________
Rtgwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rtgwg